<?php

//Навигация
ECHO "<div class='navigation'>";
ECHO "<a href='/'>".ICONS('home', 25, 'fa-fw')."</a>";
ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
ECHO "<a href='/id".$account['ID']."'>".$account['LOGIN']."</a>";
ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
ECHO $nav;
ECHO "</div>";

IF (POST('ok')){
  
  $err_data = 0;
  
  $name = ADSL(POST('name'));
  $fact_name = ADSL(TEXT_PROCESSING(POST('fact_name')));
  $artist = ADSL(POST('artist'));
  $genre = ADSL(POST('genre'));
  $dir_id = INTVAL(POST('dir_id'));
  
  IF (STR($genre) < 1){
    
    ERROR('Имя жанра не может быть меньше 1 символа', 'session');
    $err_data = 1;
    
  }
  
  IF (STR($genre) > 100){
    
    ERROR('Имя жанра не может быть больше 100 символов', 'session');
    $err_data = 1;
    
  }
  
  IF (STR($artist) < 1){
    
    ERROR('Имя артиста не может быть меньше 1 символа', 'session');
    $err_data = 1;
    
  }
  
  IF (STR($artist) > 100){
    
    ERROR('Имя артиста не может быть больше 100 символов', 'session');
    $err_data = 1;
    
  }
  
  IF (STR(POST('fact_name')) < 1){
    
    ERROR('Фактическое имя файла не может быть меньше 1 символа', 'session');
    $err_data = 1;
    
  }
  
  IF (STR(POST('fact_name')) > 100){
    
    ERROR('Фактическое имя файла не может быть больше 100 символов', 'session');
    $err_data = 1;
    
  }
  
  IF (STR($name) < 1){
    
    ERROR('Имя композиции не может быть меньше 1 символа', 'session');
    $err_data = 1;
    
  }
  
  IF (STR($name) > 100){
    
    ERROR('Имя композиции не может быть больше 100 символов', 'session');
    $err_data = 1;
    
  }
  
  IF ($music['FACT_NAME'] != $fact_name && DB::GET_COLUMN("SELECT COUNT(*) FROM `MUSIC` WHERE `USER_ID` = '".$account['ID']."' AND `FACT_NAME` = '".$fact_name."' AND `ID_DIR` = '".$id_dir."' LIMIT 1") == 1){
    
    ERROR('Музыка с таким названием уже существует в этом альбоме', 'session');
    $err_data = 1;
    
  }
  
  IF ($err_data == 1){
    
    REDIRECT('/modules/?path=music&section=show&music_id='.$music['ID'].'&id='.$account['ID'].'&get=music_edit&page='.INTVAL(GET('page')).'&dir='.$id_dir.'');
    
  }
  
  $name2 = TEXT_PROCESSING(POST('name'));
  
  DB::GET_SET("UPDATE `MUSIC` SET `ID_DIR` = '".$dir_id."', `NAME` = '".$name."', `FACT_NAME` = '".$fact_name."', `ARTIST` = '".$artist."', `GENRE` = '".$genre."' WHERE `ID` = '".$music['ID']."' LIMIT 1");
  
  IF (ACCESS('music_edit', NULL, 1) || MANAGEMENT == 1){
    
    LOGS('Музыка - редактирование музыки '.$account['LOGIN'].'', $user['ID']);
    
  }
  
  SUCCESS('Изменения успешно приняты', 'session');
  REDIRECT('/modules/?path=music&section=users&page='.INTVAL(GET('page')).'&id='.$account['ID'].'&dir='.$id_dir);
  
}

ECHO "<div class='list'>";

ECHO "<form method='post' class='form' action='/modules/?path=music&section=users&id=".$account['ID']."&music_id=".$music['ID']."&get=music_edit&dir=".$id_dir."&page=".INTVAL(GET('page'))."'>";

ECHO "<b>".LG('Введите название композиции')."</b> (".LG('от 1 до 100 символов')."):<br />";
HTML::INPUT('name', 'Имя', NULL, NULL, TEXT_ABSOLUTE($music['NAME']));

ECHO "<b>".LG('Введите фактическое название файла')."</b> (".LG('от 1 до 100 символов')."):<br />";
HTML::INPUT('fact_name', 'Имя', NULL, NULL, TEXT_ABSOLUTE($music['FACT_NAME']));

ECHO "<b>".LG('Введите имя артиста')."</b> (".LG('от 1 до 100 символов')."):<br />";
HTML::INPUT('artist', 'Артист', NULL, NULL, TEXT_ABSOLUTE($music['ARTIST']));

ECHO "<b>".LG('Введите жанр композиции')."</b> (".LG('от 1 до 100 символов')."):<br />";
HTML::INPUT('genre', 'Жанр', NULL, NULL, TEXT_ABSOLUTE($music['GENRE']));

ECHO "<b>".LG('Альбом')."</b>:<br />";

$data = DB::GET_STRING_ALL("SELECT `ID`,`NAME` FROM `MUSIC_DIR` WHERE `USER_ID` = '".$account['ID']."' ORDER BY `ID` DESC");

ECHO "<select name='dir_id' class='form-control-select'>";

ECHO "<option value='0' ".($music['ID_DIR'] == 0?' selected="selected"':NULL)."> ".LG('Без альбома')."</option>";

WHILE ($list = $data->FETCH())
{
  
  ECHO "<option value='".$list['ID']."' ".($music['ID_DIR'] == $list['ID']?' selected="selected"':NULL)."> ".TEXT_ABSOLUTE($list['NAME'])."</option>";
  
}

ECHO "</select><br />";

ECHO "<br />";

HTML::BUTTON('btn-big ajax-button', 'ok', 'save', 'Сохранить изменения');

ECHO "</form>";

ECHO "</div>";

ECHO "<div class='list'>";
ECHO "<a href='/modules/?path=music&section=users&music_id=".$music['ID']."&id=".$account['ID']."&dir=".$id_dir."&page=".INTVAL(GET('page'))."'>".ICONS('arrow-left', 15, 'fa-fw')." ".LG('Назад')."</a>";
ECHO "</div>";

//Навигация
ECHO "<div class='navigation'>";
ECHO "<a href='/'>".ICONS('home', 25, 'fa-fw')."</a>";
ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
ECHO "<a href='/id".$account['ID']."'>".$account['LOGIN']."</a>";
ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
ECHO $nav;
ECHO "</div>";

REQUIRE (ROOT.'/system/connections/footer.php');
EXIT;

?>